%global  basever 0.8.8

Name:           emerald-themes-extra
URL:            http://packages.linuxmint.com
License:        GPLv2+
Group:          Graphical desktop/Other
Version:        0.7
Release:        alt1_2
Summary:        Themes for Emerald, a window decorator for Compiz Fusion
Source0:        http://packages.linuxmint.com/pool/main/e/emerald-themes-extra/%{name}_%{version}-mint3.tar.gz
Source1:        emerald-themes-extra.license

BuildArch:      noarch

Requires:       compiz >= %{basever}
Requires:       emerald >= %{basever}
Source44: import.info


%description
Emerald is themeable window decorator and compositing 
manager for Compiz Fusion.

This package contains extra themes for emerald.


%prep
%setup -q
cp -p %{SOURCE1} COPYING

%build
#no build needed

%install

cp -p debian/changelog Changelog
cp -p debian/copyright Copyright

mkdir -p %{buildroot}%{_datadir}/emerald/themes
cp -R usr/share/emerald/themes/* %{buildroot}%{_datadir}/emerald/themes/

rm -r %{buildroot}%{_datadir}/emerald/themes/BlackLine
rm -r %{buildroot}%{_datadir}/emerald/themes/Fogo
# generic fedora font import transformations
# move fonts to corresponding subdirs if any
for fontpatt in OTF TTF TTC otf ttf ttc pcf pcf.gz bdf afm pfa pfb; do
    case "$fontpatt" in 
	pcf*|bdf*) type=bitmap;;
	tt*|TT*) type=ttf;;
	otf|OTF) type=otf;;
	afm*|pf*) type=type1;;
    esac
    find $RPM_BUILD_ROOT/usr/share/fonts -type f -name '*.'$fontpatt | while read i; do
	j=`echo "$i" | sed -e s,/usr/share/fonts/,/usr/share/fonts/$type/,`;
	install -Dm644 "$i" "$j";
	rm -f "$i";
	olddir=`dirname "$i"`;
	mv -f "$olddir"/{encodings.dir,fonts.{dir,scale,alias}} `dirname "$j"`/ 2>/dev/null ||:
	rmdir -p "$olddir" 2>/dev/null ||:
    done
done
# kill invalid catalogue links
if [ -d $RPM_BUILD_ROOT/etc/X11/fontpath.d ]; then
    find -L $RPM_BUILD_ROOT/etc/X11/fontpath.d -type l -print -delete ||:
    # relink catalogue
    find $RPM_BUILD_ROOT/usr/share/fonts -name fonts.dir | while read i; do
	pri=10;
	j=`echo $i | sed -e s,$RPM_BUILD_ROOT/usr/share/fonts/,,`; type=${j%%%%/*}; 
	pre_stem=${j##$type/}; stem=`dirname $pre_stem|sed -e s,/,-,g`;
	case "$type" in 
	    bitmap) pri=10;;
	    ttf|ttf) pri=50;;
	    type1) pri=40;;
	esac
	ln -s /usr/share/fonts/$j $RPM_BUILD_ROOT/etc/X11/fontpath.d/"$stem:pri=$pri"
    done ||:
fi



%files
%doc COPYING Changelog Copyright
%{_datadir}/emerald/themes/Blueray/
%{_datadir}/emerald/themes/beryl-clean/
%{_datadir}/emerald/themes/dark_blue/
%{_datadir}/emerald/themes/Eternal/
%{_datadir}/emerald/themes/fadeout/
%{_datadir}/emerald/themes/ghosts_edge_lime/
%{_datadir}/emerald/themes/gray-neu/
%{_datadir}/emerald/themes/Greenhouse_Effect/
%{_datadir}/emerald/themes/iridescence/
%{_datadir}/emerald/themes/JAGT/
%{_datadir}/emerald/themes/komar-blue/
%{_datadir}/emerald/themes/Mac4Lin_Emerald_Aqua_v1.0/
%{_datadir}/emerald/themes/Mac4Lin_Emerald_Graphite_v1.0/
%{_datadir}/emerald/themes/Metrosuave/
%{_datadir}/emerald/themes/ocean/
%{_datadir}/emerald/themes/Overglossed/
%{_datadir}/emerald/themes/slowy/
%{_datadir}/emerald/themes/starwindowtheme/


%changelog
* Thu Apr 25 2013 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_2
- initial fc import

